
<template>
  <div id="modal">
    <div id="content">
      <slot />
    </div>
  </div>
</template>

<script lang="ts">
/**
 * @licence
 * Copyright 2022-2022 - RPG of the Apocalypse
 * Licensed under MIT or any later version
 * Refer to the LICENSE file included.
 */

import { Component, Vue } from "vue-property-decorator";

@Component
export default class Modal extends Vue { }
</script>

<style>
#modal {
  z-index: 10;
  position: fixed;
  height: 100vh;
  width: 100vw;
  left: 0%;
  top: 0%;
  background-color: rgba(0, 0, 0, 0.5);

  overflow: auto;
  display: flex;
  align-items: center;
  justify-content: space-around;
}

#modal #content {
  max-height: 90vh;
  overflow: auto;
}
</style>
